Bug 1295173 - opencv contain problematic content
Summary: opencv contain problematic content
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: opencv (Show other bugs)
(Show other bugs)
Version: 26
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-01-03 08:04 UTC by mejiko
Modified: 2017-03-01 02:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-01 02:21:11 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 794856 None None None 2016-08-07 03:14 UTC

Description mejiko 2016-01-03 08:04:21 UTC
Hello.

opencv included non-free image. 
This is "Lena" (Lenna) image. (PNG and JPG file)

This file license (Copyright) is non-free, and this content is violate Fedora Packaging Guideline.

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

Thanks.

Comment 1 Sergio Monteiro Basto 2016-01-04 02:49:15 UTC
The images are /usr/share/OpenCV/samples/c/lena.jpg and 
/usr/share/OpenCV/samples/cpp/lena.jpg [1] ? anything else to remove from sources ? 

Thanks

[1] 
dnf repoquery -l opencv\* | grep -i lena

Comment 2 mejiko 2016-01-04 08:44:06 UTC
I check source RPM (*.src.rpm) and source archive, other "lena" images is find.

Thanks.

Comment 3 mejiko 2016-01-04 09:53:41 UTC
Additional Information:

File Path:

"opencv-2.4.12.3/modules/java/android_test/res/drawable/lena.jpg"
"opencv-2.4.12.3/doc/tutorials/introduction/desktop_java/images/lena.png"
"opencv-2.4.12.3/doc/tutorials/introduction/clojure_dev_intro/images/lena.png"
"opencv-2.4.12.3/samples/java/clojure/simple-sample/resources/images/lena.png"
"opencv-2.4.12.3/samples/cpp/tutorial_code/images/lena.png"
"opencv-2.4.12.3/samples/cpp/lena.jpg"
"opencv-2.4.12.3/samples/c/lena.jpg"

Why non-free ?

This file is copyrighted, and not fedora acceptable licensed content. 

Reference:
https://lintian.debian.org/tags/license-problem-non-free-img-lenna.html

Comment 4 Sergio Monteiro Basto 2016-01-16 04:08:39 UTC
(In reply to mejiko from comment #3)

Mejiko thanks , have we any report upstream of this non free img ? we should try that upstream do not use non free stuff , or at least, upstream warning us that have some parts that are non free .

Comment 5 Jan Kurik 2016-02-24 14:12:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 6 mejiko 2016-08-07 01:22:15 UTC
(In reply to Sergio Monteiro Basto from comment #4)
> (In reply to mejiko from comment #3)
> 
> Mejiko thanks , have we any report upstream of this non free img ?

If this problem can be fix, I suggest that fix this problem.

but If not, I suggest that report upstream this problem.

Thanks.

Comment 7 Sergio Monteiro Basto 2016-08-07 02:07:40 UTC
we should report upstream with or without a fix , I hadn't time to research  for a fix. 
This is one upstream problem, that I think they want fix it, if not they aren't legal, i.e. upstream knows that is non-free image ? 
how Debian handles this ? do you know ?

Comment 8 mejiko 2016-08-07 03:14:28 UTC
(In reply to Sergio Monteiro Basto from comment #7)
> how Debian handles this ? do you know ?

Debian already removed non-free images.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=794856

Thanks.

Comment 9 Fedora End Of Life 2017-02-28 09:52:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 10 Sergio Monteiro Basto 2017-03-01 02:21:11 UTC
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=862932

says Remove copyrighted lena.jpg images


Note You need to log in before you can comment on or make changes to this bug.